MiniToolAI API는 자연어 처리, 이미지 생성, 텍스트 음성 변환을 위한 최첨단 AI 모델을 간편하게 사용할 수 있도록 인터페이스를 제공합니다. 이 가이드를 따라 인간과 같은 응답 생성(ChatGPT) 및 텍스트 설명을 기반으로 이미지 생성하는 방법을 배울 수 있습니다.
API 요청 비용은 크레딧 잔액에서 차감됩니다.
충전하기각 API 요청의 헤더에 API 키를 포함해야 합니다.
Header: "Authorization: Bearer API_key"
주어진 대화에 대한 모델 응답을 생성합니다.
import requests
import json
API_Url = "https://minitoolai.com/api/chat-completions/"
API_Key = "MiniToolAI_API_Key"
headers = {
"Content-Type": "application/json",
"Authorization": f"Bearer {API_Key}"
}
data = {
"model": "gpt-4o-mini", #gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
"messages": [
{"role": "developer", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello"},
{"role": "assistant", "content": "How can I help you today?"},
{"role": "user", "content": "What's the largest U.S. state by area?"}
],
"temperature": 1.0,
"max_completion_tokens": 1000
}
response = requests.post(API_Url, headers=headers, json=data, stream=True)
#single result
print(response.text)
#streamed
for line in response.iter_lines():
if line:
decode_line = line.decode('utf-8')
print(decode_line)
<?php
$api_url = "https://minitoolai.com/api/chat-completions/";
$api_key = "MiniToolAI_API_Key";
$data = [
"model" => "gpt-4o-mini", //gpt-4o, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
"messages" => [
["role" => "developer", "content" => "You are a helpful assistant."],
["role" => "user", "content" => "Hello"],
["role" => "assistant", "content" => "How can I help you today?"],
["role" => "user", "content" => "What's the largest U.S. state by area?"],
],
"temperature" => 1.0,
"max_completion_tokens" => 1000
];
$headers = [
"Content-Type: application/json",
"Authorization: Bearer $api_key"
];
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $api_url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, false);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
// streamed
curl_setopt($ch, CURLOPT_WRITEFUNCTION, function($ch, $data) {
echo $data;
ob_flush();
flush();
return strlen($data);
});
$response = curl_exec($ch);
if (curl_errno($ch)) {
echo "cURL error: " . curl_error($ch);
}
curl_close($ch);
?>
#data with image input
data = {
"model": "gpt-4o-mini", #gpt-4o
"messages": [
{"role": "developer", "content": "You are a helpful assistant."},
{
"role": "user",
"content": [
{"type": "text", "text": "What's in this image?"},
{
"type": "image_url",
"image_url": {
"url": "https://example.com/image.jpg", #jpg, jpeg, png, webp or gif
"detail": "auto" #auto, high or low
}
}
]
}
],
"temperature": 0.7,
"max_completion_tokens": 300
}
//data with image input
$data = [
"model" => "gpt-4o-mini", // gpt-4o
"messages" => [
["role" => "developer", "content" => "You are a helpful assistant."],
[
"role" => "user",
"content" => [
[
"type" => "text",
"text" => "What's in this image?"
],
[
"type" => "image_url",
"image_url" => [
"url" => "https://example.com/image.jpg", // jpg, jpeg, png, webp or gif
"detail" => "auto" // auto, high or low
]
]
]
]
],
"temperature" => 0.7,
"max_completion_tokens" => 300
];
messages 배열 필수
현재까지의 대화를 구성하는 메시지 목록입니다.
model 문자열 필수
사용할 모델의 ID
사용 가능한 모델: gpt-4o, gpt-4o-mini, gpt-4.1, gpt-4.1-mini, gpt-4.1-nano
temperature 숫자 또는 null 선택 사항
기본값 1
샘플링 온도를 0.0에서 2.0 사이로 설정합니다. 값이 높을수록(예: 0.8) 창의적인 출력이 나오고, 낮을수록(예: 0.2) 더 집중적이고 결정적인 결과를 얻을 수 있습니다.
max_completion_tokens 정수 또는 null 선택 사항
기본값 1000
완성을 위해 생성될 수 있는 최대 토큰 수의 상한값
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"Ok"},"logprobs":null,"finish_reason":null}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{"content":"."},"logprobs":null,"finish_reason":null}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[{"index":0,"delta":{},"logprobs":null,"finish_reason":"stop"}],"usage":null}
data: {"id":"chatcmpl-B5qoZsT8kFDNJK3UyGLiJmjv6Pp90","object":"chat.completion.chunk","created":1740734359,"model":"gpt-4o-mini-2024-07-18","service_tier":"default","system_fingerprint":"fp_06737a9306","choices":[],"usage":{"prompt_tokens":17,"completion_tokens":3,"total_tokens":20,"prompt_tokens_details":{"cached_tokens":0,"audio_tokens":0},"completion_tokens_details":{"reasoning_tokens":0,"audio_tokens":0,"accepted_prediction_tokens":0,"rejected_prediction_tokens":0}}}
data: [DONE]
프롬프트를 기반으로 이미지를 생성합니다.
import requests
import json
url = "https://minitoolai.com/api/texttoimage/"
API_Key = "MiniToolAI_API_Key"
headers = {
"Content-Type": "application/json",
"Authorization": f"Bearer {API_Key}"
}
data = {
"model": "realvision",
"prompt": "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
"negativePrompt": "unrealistic eyes, malformed features, ugly drawn",
"scheduler": "DPM++ SDE",
"steps": 4,
"cfgScale": 2.0,
"width": 1152,
"height": 768
}
response = requests.post(url, json=data, headers=headers)
print(response.text)
'''
#response
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
'''
<?php
// API URL and Key
$url = "https://minitoolai.com/api/texttoimage/";
$API_Key = "MiniToolAI_API_Key";
// Headers
$headers = [
"Content-Type: application/json",
"Authorization: Bearer $API_Key"
];
// Data to be sent in the request
$data = [
"model" => "realvision",
"prompt" => "Ultra realistic portrait of a 20 year old woman, wearing an elegant black gown, joyful expression, deep shadows, cinematic composition, moody lighting",
"negativePrompt" => "unrealistic eyes, malformed features, ugly drawn",
"scheduler" => "DPM++ SDE",
"steps" => 4,
"cfgScale" => 2.0,
"width" => 1152,
"height" => 768
];
// Initialize cURL session
$ch = curl_init();
// Set cURL options
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
// Execute the cURL request
$response = curl_exec($ch);
echo $response;
// Close the cURL session
curl_close($ch);
/*
Response:
Success:
{"status":"success","jobid":12345678,"signature":"abcxyz123"}
Error:
{"status":"error","jobid":null,"signature":null}
*/
?>
작업 상태 및 결과 가져오기
curl -X POST https://minitoolai.com/api/texttoimage/jobs/ \
-H "Content-Type: application/json" \
-d '{
"jobid": "12345678",
"signature": "abcxyz123"
}'
응답
{
"status": "success",
"image_url": "https://...",
"message": "success"
}
model 문자열 필수
사용할 모델의 ID
사용 가능한 모델: "realvision", "juggernaut", "autismmix", "dreamshaper", "valhalla", "mixrealistic", "campursari", "reality", "extrarealistic", "realism", "realgirls", "realityreborn", "amigo", "simplemix", "beautifulrealistic"
prompt 문자열 필수
이미지 설명
negativePrompt 문자열 또는 null 선택 사항
생성된 이미지에서 제외하고 싶은 요소의 설명
scheduler 문자열 또는 null 선택 사항
이미지 생성 과정에서 노이즈를 제거하는 방식
기본값 "DPM++ SDE"
가능한 값: "Euler a", "Euler", "LMS", "Heun", "DPM2", "DPM2 a", "DPM++ 2S a", "DPM++ 2M", "DPM++ SDE", "DPM++ 2M SDE", "DPM fast", "LMS Karras", "DPM2 Karras", "DPM2 a Karras", "DPM++ 2S a Karras", "DPM++ 2M Karras", "DPM++ SDE Karras", "DPM++ 2M SDE Karras"
steps 정수 또는 null 선택 사항
이미지 생성 과정의 단계 수는 1에서 8 사이입니다.
기본값 4
cfgScale 숫자 또는 null 선택 사항
cfgScale 모델이 주어진 텍스트 프롬프트를 얼마나 따라야 하는지를 제어합니다. 창의성과 프롬프트 정확성 사이의 균형을 조절하며, 범위는 1에서 7입니다.
기본값 2
cfgScale < 4 → 더 창의적인 이미지, cfgScale > 4 → 프롬프트에 더 충실, 창의성 감소
width/height 정수 또는 null 선택 사항
생성된 이미지의 크기 (256~1344 사이)
기본값 1024
백만 토큰당 가격
| 모델 | 입력 | 출력 |
|---|---|---|
| gpt-4o-mini | $0.15 | $0.60 |
| gpt-4o | $2.50 | $10.00 |
| gpt-4.1 | $2.00 | $8.00 |
| gpt-4.1-mini | $0.40 | $1.60 |
| gpt-4.1-nano | $0.10 | $0.40 |
| 모델 | 이미지당 가격 |
|---|---|
| 모든 모델 | $0.0015 |